# Class SchemaValidationMixin<Response, Parameters, RequestBody>

#### Type Parameters

- Response = any
- Parameters extends Record<string, any> | void = any
- RequestBody = any

- Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:25

#####
Index

### Constructors

constructor

### Properties

disableSchemaValidation?
STRICT

### Methods

buildHttpHeaders
buildHttpOptions
buildHttpParams
buildHttpPathParams
validate
validateParameters
validateRequestBody
validateResponse
validationError

## Constructors

### constructor

- new SchemaValidationMixin<Response, Parameters, RequestBody>(): SchemaValidationMixin<Response, Parameters, RequestBody>

- #### Type Parameters

  - Response = any
  - Parameters extends void | Record<string, any> = any
  - RequestBody = any

  #### Returns SchemaValidationMixin<Response, Parameters, RequestBody>

## Properties

### `Protected` `Optional` disableSchemaValidation

disableSchemaValidation?: boolean

- Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:29

### `Static` STRICT

STRICT: boolean = false

- Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:27

## Methods

### buildHttpHeaders

- buildHttpHeaders(operationParameters, parameters?): HttpHeaders

- #### Parameters

  - operationParameters: ParameterObject[]
  - `Optional` parameters: Parameters

  #### Returns HttpHeaders

  - Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:287

### buildHttpOptions

- buildHttpOptions(operation, parameters?, requestBody?, ignoreUndefined?): HttpRemoteMethodParameter<any>

- Converts open api parameters into the corresponding http options to create a http request. The transformation is guided by the openapi definition

  #### Parameters

  - operation: OperationObjectWithMetadata
  - `Optional` parameters: Parameters
  - `Optional` requestBody: RequestBody
  - ignoreUndefined: boolean = true

  #### Returns HttpRemoteMethodParameter<any>

  - Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:361

### buildHttpParams

- buildHttpParams(operationParameters, parameters?, ignoreUndefined?): HttpParams

- #### Parameters

  - operationParameters: ParameterObject[]
  - `Optional` parameters: Parameters
  - ignoreUndefined: boolean = true

  #### Returns HttpParams

  - Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:238

### buildHttpPathParams

- buildHttpPathParams(operationParameters, parameters?): Record<string, string>

- #### Parameters

  - operationParameters: ParameterObject[]
  - `Optional` parameters: Parameters

  #### Returns Record<string, string>

  - Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:327

### `Private` validate

- validate(schema, value): boolean

- #### Parameters

  - schema: string | boolean | object
  - value: any

  #### Returns boolean

  - Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:400

### `Protected` validateParameters

- validateParameters(operation, parameters?, strict?): void
- `Protected`

  Validates the parameters against the schema specified in the operation object

  #### Parameters

  - operation: OperationObjectWithMetadata
  - `Optional` parameters: Parameters
  - strict: boolean = false

  #### Returns void

  - Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:39

### validateRequestBody

- validateRequestBody(operation, body?, strict?): void

- #### Parameters

  - operation: OperationObjectWithMetadata
  - `Optional` body: RequestBody
  - strict: boolean = false

  #### Returns void

  - Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:183

### `Protected` validateResponse

- validateResponse(operation, response, strict?): void
- `Protected`

  Validates the http response against the schema specified in the operation object

  #### Parameters

  - operation: OperationObjectWithMetadata
  - response: SchemaValidationResponse<Response>
  - strict: boolean = false

  #### Returns void

  - Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:116

### validationError

- validationError(message, strict, schema?, value?): void

- #### Parameters

  - message: string
  - strict: boolean
  - `Optional` schema: ReferenceObject | SchemaObject
  - `Optional` value: any

  #### Returns void

  - Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:216